package com.bzd.system.service.spgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 门店积分商品列表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SSpglJfspProductinfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSSpglJfspProductinfo(PageData pd)throws Exception {
        return daoSupport.update("SSpglJfspProductinfoMapper.addSSpglJfspProductinfo", pd);
    }

    public List<PageData> findSSpglJfspProductinfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SSpglJfspProductinfoMapper.selectSSpglJfspProductinfoList", pd);
    }

    public Integer SSpglJfspProductinfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SSpglJfspProductinfoMapper.SSpglJfspProductinfoRemove", pd);
    }


    public Integer updateSSpglJfspProductinfo(PageData pd)throws Exception {
        return daoSupport.update("SSpglJfspProductinfoMapper.updateSSpglJfspProductinfo", pd);
    }

}
